Package org.apache.commons.collections4.properties

# Class SortedProperties

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<Object,Object>
java.util.Properties
org.apache.commons.collections4.properties.SortedProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public class SortedProperties extends Properties
A drop-in replacement for `Properties` for sorting keys.

Overrides `Hashtable.keys()` to sort keys. Allows other methods on the superclass to work with sorted keys.

Since:
  4.2
See Also:
  - `SortedPropertiesFactory.INSTANCE`
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K extends Object,V extends Object>`

- ## Field Summary

  ### Fields inherited from class java.util.Properties

  `defaults`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SortedProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Map.Entry<Object,Object>>`
  `entrySet()`
  `Enumeration<Object>`
  `keys()`

  ### Methods inherited from class java.util.Properties

  `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

  ### Methods inherited from class java.util.Hashtable

  `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SortedProperties

    public SortedProperties()

- ## Method Details

  - ### entrySet

    public Set<Map.Entry<Object,Object>> entrySet()
    Specified by:
      `entrySet` in interface `Map<Object,Object>`
    Overrides:
      `entrySet` in class `Hashtable<Object,Object>`

  - ### keys

    public Enumeration<Object> keys()
    Overrides:
      `keys` in class `Hashtable<Object,Object>`